PHP Manual
Prev |  | Next

# Z_BVAL_PP

Z_BVAL_PP -- Dereference a pointer to a zval pointer and return its lval element as bool

## Description

#include <zend_operators.h>

zend_bool Z_BVAL_PP ( zval ** zval_pp )

Z_BVAL_P() returns the lval element of the zval structure indirectly pointed to by zval_pp casted to zend_bool.

## Parameters

zval_pp

  Pointer to a pointer to the zval structure to extract the resut value from.

## Return Values

The lval element of the zval structure pointed to by the pointer pointed to by zval_pp casted to a zend_bool which is either `TRUE` or `FALSE`.

## See Also

See Z_BVAL() and Z_BVAL_P() for other macros that access the lval field of a zval as zend_bool.

For macros that extract other values from a zval ** see Z_ARRVAL_PP(), Z_BINLEN_PP(), Z_BINVAL_PP(), , Z_DVAL_PP(), Z_LVAL_PP(), Z_OBJCE_PP(), Z_OBJ_HANDLE_PP(), Z_OBJ_HANDLER_PP(), Z_OBJ_HT_PP(), Z_OBJPROP_PP(), Z_OBJVAL_PP(), Z_RESVAL_PP(), Z_STRLEN_PP(), Z_STRVAL_PP(), Z_TYPE_PP(), Z_UNILEN_PP(), Z_UNIVAL_PP(), Z_USTRCPLEN_PP(), Z_USTRLEN_PP(), and Z_USTRVAL_PP().

Prev | Home | Next
Z_BVAL_P | Up | Z_BVAL